This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 33988 - make xconfig fails when compiling kernel from source
make xconfig fails when compiling kernel from source
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-29 21:25 EST by mladen-g
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-29 21:26:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mladen-g 2001-03-29 21:25:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1-0.1.9 i686)


The kernel source code from kernel-source-2.4.1-0.1.9.i386.rpm doesn't seem
to have a working xconfig interface.  "make menuconfig" works, but "make
xconfig" returns an error:
[root@Zeke linux]# make xconfig
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Entering directory `/usr/src/linux-2.4.1/scripts'
cat header.tk >> ./kconfig.tk
./tkparse < ../arch/i386/config.in >> kconfig.tk
net/ipv4/netfilter/ip_vs/Config.in: 9: incorrect argument
make[1]: *** [kconfig.tk] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.1/scripts'
make: *** [xconfig] Error 2
[root@Zeke linux]# 

Reproducible: Always
Steps to Reproduce:
1.  Install kernel-source-2.4.1-0.1.9.i386.rpm
2.  cd /usr/src/linux
3.  make xconfig
	

Actual Results:  An error occurd, a transcript of which follows:
[root@Zeke linux]# make xconfig
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Entering directory `/usr/src/linux-2.4.1/scripts'
cat header.tk >> ./kconfig.tk
./tkparse < ../arch/i386/config.in >> kconfig.tk
net/ipv4/netfilter/ip_vs/Config.in: 9: incorrect argument
make[1]: *** [kconfig.tk] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.1/scripts'
make: *** [xconfig] Error 2
[root@Zeke linux]# 

Expected Results:  The X-based kernel configuration interface should've
come up.

[root@Zeke linux]# make xconfig
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Entering directory `/usr/src/linux-2.4.1/scripts'
cat header.tk >> ./kconfig.tk
./tkparse < ../arch/i386/config.in >> kconfig.tk
net/ipv4/netfilter/ip_vs/Config.in: 9: incorrect argument
make[1]: *** [kconfig.tk] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.1/scripts'
make: *** [xconfig] Error 2
[root@Zeke linux]#
Comment 1 Arjan van de Ven 2001-03-29 21:57:38 EST
Known problem... this is fixed in more recent kernels as available in rawhide.

Note You need to log in before you can comment on or make changes to this bug.